using System;
using System.Collections.Generic;
using System.Text;

namespace PanoramaCam
{
    public class QcamCommand
    {
        public const string COMMAND_UP = "U";
        public const string COMMAND_DOWN = "D";
        public const string COMMAND_LEFT = "L";
        public const string COMMAND_RIGHT = "R";
        public const string COMMAND_HOME = "H";
        public const string COMMAND_CAPTURE = "C";
        public const string COMMAND_SLEEP = "S";

        public const int VALUE_NONE = -1;

        public string command;
        public int value;

        public QcamCommand(string command)
        {
            this.command = command;
            this.value = VALUE_NONE;
        }

        public QcamCommand(string command, int value)
        {
            this.command = command;
            this.value = value;
        }

        public static bool CheckValidCommand(string c)
        {
            if (c == COMMAND_UP || c == COMMAND_DOWN || c == COMMAND_LEFT || c == COMMAND_RIGHT ||
                c == COMMAND_HOME || c == COMMAND_CAPTURE || c == COMMAND_SLEEP)
            {
                return true;
            }
            else
            {
                return false;
            }

        }

    }

}
