using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Tamir.SharpSsh;

namespace PanoramaCam
{
    public partial class NetForm : Form
    {
        public NetSetting netSetting;

        public NetForm(NetSetting net)
        {
            InitializeComponent();
            this.netSetting = net;
            textBoxName.Text = netSetting.name;
            textBoxServerName.Text = netSetting.host;
            textBoxServerFolder.Text = netSetting.path;
            textBoxServerUser.Text = netSetting.user;
            textBoxServerPass.Text = netSetting.pass;
            checkBoxSavePass.Checked = netSetting.savePassFlag;

        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            netSetting.name = textBoxName.Text;
            netSetting.host = textBoxServerName.Text;
            if (!textBoxServerFolder.Text.EndsWith("/"))
            {
                netSetting.path = textBoxServerFolder.Text + "/";
            }
            else
            {
                netSetting.path = textBoxServerFolder.Text;
            }
            netSetting.user = textBoxServerUser.Text;
            netSetting.pass = textBoxServerPass.Text;
            netSetting.savePassFlag = checkBoxSavePass.Checked;
        }

    }
}