using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PanoramaCam
{
    public partial class PassForm : Form
    {
        int progressCnt = 0;
        public string password = "";

        public PassForm(string hostname, string user)
        {
            InitializeComponent();
            this.Text = hostname;
            this.labelUser.Text = String.Format("{0}{1}", user, labelUser.Text);
        }

        public void Reset()
        {
            progressCnt = 0;
           
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            password = textBoxPass.Text;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {

        }

        private void textBoxPass_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.Enter:
                    password = textBoxPass.Text;
                    this.DialogResult = DialogResult.OK;
                    this.Close();
                    break;
            }
        }

        
    }
}