using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PanoramaCam
{
    public partial class ProgressForm : Form
    {
        //int progressCnt = 0;

        public ProgressForm(string hostname)
        {
            InitializeComponent();
            labelHost.Text = hostname;
        }

        public void Reset()
        {
            //progressCnt = 0;
            progressBar1.Value = 0;
        }

        public void SetProgress(int transferredBytes, int totalBytes){
            if (totalBytes == 0)
            {
                return;
            }
            else
            {
                int num = (int)(((double)transferredBytes / (double)totalBytes) * 100);

                labelByte.Text = String.Format("{0}/{1}bytes", transferredBytes, totalBytes);
                progressBar1.Value = num;
                //if (num > progressCnt)
                //{
                  //  ;
                    //progressCnt += 10;
               // }
            }
        }

        public void SetFile(string filename)
        {
            labelFile.Text = filename;
        }

        public void Close(bool flag)
        {
            if (flag)
            {
                this.DialogResult = DialogResult.OK;
            }
            else
            {
                this.DialogResult = DialogResult.Cancel;
            }
            this.Close();
        }
        
    }
}